
SYSTEM_GUARD=


. $SYSTEM_GUARD/General.conf

GetDbInfo ()
{
  $SYSTEM_GUARD/GetInfo.sh
}


RunMemory ()
{
  if [ -f $SYSTEM_GUARD/FreeMem.sh ]; then
    $SYSTEM_GUARD/FreeMem.sh
  fi
}

RunDb ()
{
  if [ -f $SYSTEM_GUARD/DbInstance.sh ]; then
    $SYSTEM_GUARD/DbInstance.sh
  fi
}


RunDaemon ()
{
  if [ -f $SYSTEM_GUARD/Daemon.sh ]; then
    $SYSTEM_GUARD/Daemon.sh
  fi
}


RunFilesystem ()
{
  if [ -f $SYSTEM_GUARD/Filesystem.sh ]; then
    $SYSTEM_GUARD/Filesystem.sh
  fi
}


RunSystemLoad ()
{
  if [ -f $SYSTEM_GUARD/SystemLoad.sh ]; then
    $SYSTEM_GUARD/SystemLoad.sh
  fi
}


RunSysLog ()
{
  if [ -f $SYSTEM_GUARD/SyslogView.sh ]; then
    $SYSTEM_GUARD/SyslogView.sh
  fi
}

RunSuLog ()
{
  if [ -f $SYSTEM_GUARD/SulogView.sh ]; then
    $SYSTEM_GUARD/SulogView.sh
  fi
}



DoSystemInfo()
{
  DAY=`date|awk '{print $1}'`
  if [ "$DAY" = "Sun" ]; then
    if [ -f $SYSTEM_GUARD/Data/DoneSysRetrival ]; then
      #Do nothing, we have allready
      #retrived system info.
      sleep 1
    else
      touch $SYSTEM_GUARD/Data/DoneSysRetrival
      RunSystemInfo
    fi
  else
    # Remove lock file if it is not Sunday.
    if [ -f $SYSTEM_GUARD/Data/DoneSysRetrival ]; then
      rm $SYSTEM_GUARD/Data/DoneSysRetrival
    fi
  fi
}

  

GetMonitor ()
{
  if [ -f /etc/nomonitor ]; then
   MONITOR="NO"
  else
    DUMMY=`grep "no rows" $SYSTEM_GUARD/Data/checktime.txt`
    if [ -n "$DUMMY" ]; then
      MONITOR="YES"   
    else
      if [ -f "$SYSTEM_GUARD/Data/checktime.new" ]; then
        rm $SYSTEM_GUARD/Data/checktime.new
      fi
      touch $SYSTEM_GUARD/Data/checktime.new

      cat $SYSTEM_GUARD/Data/checktime.txt | while read Line
      do
        if [ -n "$Line" ]; then
          echo $Line >> $SYSTEM_GUARD/Data/checktime.new
        fi
      done

      cat $SYSTEM_GUARD/Data/checktime.new | while read Line
      do
        NoMonitorHour=`echo $Line | awk '{print $1}'`
        CurrentTime=`date | awk '{print $4}' | cut -d: -f1`
      
        if [ "$NoMonitorHour" = "$CurrentTime" ]; then
          MONITOR="NO" 
        fi
      done
    fi
  fi
}



echo $$ > $SYSTEM_GUARD/SystemGuard.PID
MONITOR="YES"

while [ 2 -eq 2 ]
do
  GetDbInfo

  GetMonitor

  if [ "$MONITOR" = "YES" ]; then
    RunMemory
    RunDb
    RunDaemon
    DoSystemInfo
    RunFilesystem
    RunSystemLoad
    RunSysLog
    RunSuLog
  fi

  MONITOR="YES"
  sleep 900
done
 
